#include<stdio.h>
#include<cmath>
main()
{
    unsigned long long int a,b;
    int t,i,j,p,ind=0;
    scanf("%d",&t);
    for(i=0;i<t;i++)
    {
        scanf("%lld%lld",&a,&b);
        p=sqrt(a);
        for(j=1;j<=p;j+=2)
        {
            if(a%j==0)
            {
                if((j^(a/j))==b)
                {
                    ind=1;
                    break;
                }
            }
        }
        if(ind==0)
            printf("-1\n");
        else
            printf("%d %d\n",j,a/j);
        ind=0;
    }

}